import numpy as np
from pydantic import BaseModel, ConfigDict
from .image_metadata import ImageMetadata


class ImageData(BaseModel):
    model_config = ConfigDict(arbitrary_types_allowed=True)

    flight_id: str
    sequence: int
    filename: str
    image: np.ndarray
    metadata: ImageMetadata

